/* Framework and mixins */
@import './zutre.scss';

/* Fonts */
@font-face {
  font-family: "Inter";
  src: url("/fonts/Inter.var.woff2") format("woff2");
}

@font-face {
  font-family: "Material Icons";
  font-style: normal;
  font-weight: 400;
  src: url("/fonts/MaterialIcons.woff2") format("woff2");
}

h1 { font-size: 1.4rem !important; }
h2 { font-size: 1.2rem !important; }
h3 { font-size: 1rem !important; }

.material-icons {
	font-size: 1.25rem;
}

body {
  font-family: 'Inter', $body-font-family;
}

::selection {
  text-shadow: none;
  background: rgba(var(--color-primary), 0.6);
  color: rgba(var(--color-text-bright), 1);
}

/* Nuxt page transitions */
.page-enter-active, .page-leave-active {
  transition: opacity .5s;
}
.page-enter, .page-leave-to {
  opacity: 0;
}

/* Focus-Visible and shadow effect resulting of focus */
:focus:not(:focus-visible) {
  box-shadow: none;
}

:focus-visible {
  box-shadow: initial;
}

.btn:focus,
a:focus {
	box-shadow: 0 0 0 0.1rem rgba(var(--color-primary), 0.2);
}

/* Colors

Note that all colors are now defined in GlobalStyledComponent,
to allow programatic theming.

*/

/* Flex utilities (in addition to d-flex and d-inlinie-flex) */
.d-flex-center {
  display: flex;
  flex: 1;
  align-items: center;
}
.flex {
  flex: 1;
}
.d-autocenter {
  display: flex;
  flex: 1;
  justify-content: center;
  align-content: center;
}
.columns {
  margin: 0;
}

/* Position utilities */
.mb-5 {margin-bottom: 5px;}
.mb-10 {margin-bottom: 10px;}
.mb-15 {margin-bottom: 15px;}
.mb-20 {margin-bottom: 20px;}
.mb-25 {margin-bottom: 25px;}
.mb-30 {margin-bottom: 30px;}
.mt-5 {margin-top: 5px;}
.mt-10 {margin-top: 10px;}
.mt-15 {margin-top: 15px;}
.mt-20 {margin-top: 20px;}
.mt-25 {margin-top: 25px;}
.mt-30 {margin-top: 30px;}
.mr-3 {margin-right: 0.6rem;}
.mr-4 {margin-right: 0.8rem;}

/* Cursor utilities */
.c-alias {cursor: alias;}
.c-all-scroll {cursor: all-scroll;}
.c-auto {cursor: auto;}
.c-cell {cursor: cell;}
.c-context-menu {cursor: context-menu;}
.c-col-resize {cursor: col-resize;}
.c-copy {cursor: copy;}
.c-crosshair {cursor: crosshair;}
.c-default {cursor: default;}
.c-e-resize {cursor: e-resize;}
.c-ew-resize {cursor: ew-resize;}
.c-grab {cursor: grab;}
.c-grabbing {cursor: grabbing;}
.c-help {cursor: help;}
.c-move {cursor: move;}
.c-n-resize {cursor: n-resize;}
.c-ne-resize {cursor: ne-resize;}
.c-nesw-resize {cursor: nesw-resize;}
.c-ns-resize {cursor: ns-resize;}
.c-nw-resize {cursor: nw-resize;}
.c-nwse-resize {cursor: nwse-resize;}
.c-no-drop {cursor: no-drop;}
.c-none {cursor: none;}
.c-not-allowed {cursor: not-allowed;}
.c-pointer {cursor: pointer;}
.c-progress {cursor: progress;}
.c-row-resize {cursor: row-resize;}
.c-s-resize {cursor: s-resize;}
.c-se-resize {cursor: se-resize;}
.c-sw-resize {cursor: sw-resize;}
.c-text {cursor: text;}
.c-w-resize {cursor: w-resize;}
.c-wait {cursor: wait;}
.c-zoom-in {cursor: zoom-in;}
.c-zoom-out {cursor: zoom-out;}

/* Corpus descriptions */
pre {
  white-space: pre-wrap;
  font-size: x-small;
}

@import './tippy.scss';
@import './vue-simplemde.scss';
@import './uppy.scss';
@import './vue-material.scss';